Skip to main content
POST
/
api
/
users
/
keywords
curl -X POST https://worker.rushed.com.br/api/users/keywords \
  -H "X-API-Key: rsh_live_xxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"keyword": "petrobras", "weight": 3.0}'
{ "success": true, "data": { "keywords": ["petrobras", "selic"], "keywordWeights": { "petrobras": 3.0, "selic": 1.0 } } }

Headers

X-API-Key
string
required
Your Rushed API key: rsh_live_xxxxxxxxxxxx

Request Body

keyword
string
required
Keyword to track (e.g., petrobras, selic, bitcoin)
weight
number
Weight (0–5, default 1.0). Higher weight = stronger boost in personalized feed.
curl -X POST https://worker.rushed.com.br/api/users/keywords \
  -H "X-API-Key: rsh_live_xxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"keyword": "petrobras", "weight": 3.0}'
{ "success": true, "data": { "keywords": ["petrobras", "selic"], "keywordWeights": { "petrobras": 3.0, "selic": 1.0 } } }